USE COWS
GO

ALTER TABLE dbo.EVENT_ASN_TO_USER
ADD [ROLE_ID] TINYINT NOT NULL DEFAULT ((23))
GO

ALTER TABLE dbo.[EVENT_ASN_TO_USER]
DROP CONSTRAINT [PK_EVENT_ASN_TO_USER]
GO

ALTER TABLE dbo.[EVENT_ASN_TO_USER]
ADD CONSTRAINT [PK_EVENT_ASN_TO_USER] PRIMARY KEY ([EVENT_ID],[ASN_TO_USER_ID],[ROLE_ID])
GO

ALTER TABLE [dbo].EVENT_ASN_TO_USER  WITH NOCHECK ADD  CONSTRAINT [FK04_EVENT_ASN_TO_USER] FOREIGN KEY([ROLE_ID])
REFERENCES [dbo].[LK_ROLE] ([ROLE_ID])
GO

ALTER TABLE [dbo].EVENT_ASN_TO_USER CHECK CONSTRAINT [FK04_EVENT_ASN_TO_USER]
GO 
